%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for TagLib to read and write music files tags
Name: python-tag
Version: 2013.1
Release: 8%{?dist}
License: BSD
Group: Development/Languages
URL: http://pypi.python.org/pypi/tagpy
Source0: http://pypi.python.org/packages/source/t/tagpy/tagpy-%{version}.tar.gz
# don't try to download/use "distribute" 0.6.19
Patch0: tagpy-2013.1-no-distribute.patch

Provides: tagpy = %{version}-%{release}
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: taglib-devel
BuildRequires: boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n tagpy-%{version}
%patch0 -p1 -b .distribute-usage

%build
CFLAGS="%{optflags} `pkg-config --cflags taglib`" python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE test/*.py test/tagrename
%{python_sitearch}/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 2013.1-7
- Replace the python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 2013.1-5
- Rebuild for boost 1.55.0

* Mon Nov 25 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 2013.1-4
- Patch out "distribute" downloading/usage to make this build.
- Rebuild for Boost 1.54 FTBFS.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 2013.1-2
- Rebuild for boost 1.54.0

* Mon Apr  1 2013 Peter Robinson <pbrobinson@fedoraproject.org> 2013.1-1
- Update to 2013.1 (fix FTBFS)

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.94.8-6
- Rebuild for Boost-1.53.0

* Mon Aug 13 2012 Matthias Saou <matthias@saou.eu> 0.94.8-5
- Rebuild for boost update.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  1 2011 Matthias Saou <matthias@saou.eu> 0.94.8-2
- Rebuild for boost update.

* Sun Jul 31 2011 Matthias Saou <matthias@saou.eu> 0.94.8-1
- Update to 0.94.8.
- Update URL and source to point to the updated pypi locations.
- Rebase boostpython patch.

* Sun Apr 17 2011 Kalev Lember <kalev@smartlink.ee> - 0.94.5-9
- Rebuilt for boost 1.46.1 soname bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.94.5-7
- rebuild for new boost

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 0.94.5-6
- rebuild for boost-1.44

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.94.5-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.94.5-4
- Rebuild for Boost soname bump

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Matthias Saou <matthias@saou.eu> 0.94.5-1
- Update to 0.94.5.
- Remove no longer needed gcc43 patch.
- Update configvars patch, patch setup.py and call it boostpython.
- Add python-setuptools-devel build requirement.

* Thu Dec 18 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.94.1-4
- Rebuild for boost-1.37.0.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.94.1-3
- Rebuild for Python 2.6

* Tue Aug 12 2008 Matthias Saou <matthias@saou.eu> 0.94.1-2
- Rebuild against new boost.

* Tue Apr 22 2008 Matthias Saou <matthias@saou.eu> 0.94.1-1
- Update to 0.94.1, which includes Notting's patch.
- Remove separate LICENSE file, since the BSD license is now inside the README.

* Tue Apr 22 2008 Matthias Saou <matthias@saou.eu> 0.93-2
- Include taglib1.5 patch from Bill Nottingham.
- Include everything under sitearch, egg file or not (easier).
- Re-add dist tag, the package changed more than I thought.

* Sun Feb 24 2008 Matthias Saou <matthias@saou.eu> 0.93-1
- Update to 0.93.
- Include new egg file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <matthias@saou.eu> 0.91-5
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <matthias@saou.eu> 0.91-4
- Rebuild against new boost packages.
- Remove dist tag, since the package will seldom change.

* Fri May 11 2007 Matthias Saou <matthias@saou.eu> 0.91-3
- Actually include LICENSE file.

* Thu May 10 2007 Matthias Saou <matthias@saou.eu> 0.91-2
- Include BSD license text, copied from the debian package (Debian #417372).
- Include minor patch for upstream 0.92 backports.

* Fri Feb  9 2007 Matthias Saou <matthias@saou.eu> 0.91-1
- Initial RPM release.

